commit:     5f53e63e4d51f8f841947ebf1f552919bab1c624
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Tue May 12 23:55:01 2020 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Wed May 13 00:00:34 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5f53e63e

dev-python/python-ironicclient: 4.1.0 bump

Bug: https://bugs.gentoo.org/722510
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 dev-python/python-ironicclient/Manifest            |  1 +
 .../python-ironicclient-4.1.0.ebuild               | 76 ++++++++++++++++++++++
 2 files changed, 77 insertions(+)

diff --git a/dev-python/python-ironicclient/Manifest 
b/dev-python/python-ironicclient/Manifest
index 23cfd5c9629..77daf4e2aca 100644
--- a/dev-python/python-ironicclient/Manifest
+++ b/dev-python/python-ironicclient/Manifest
@@ -1 +1,2 @@
 DIST python-ironicclient-2.7.2.tar.gz 246413 BLAKE2B 
28c71f619baa539a2d82b8aa1e2462de092a385f0b6efd88fa3f5c676aab5603b1060e671b7fd93c2f69a83e6ce4c065fe0492483dd93cdf0af6633403775cab
 SHA512 
6a41ccc0e811fae571652837244ed7f23ec9a7ccf512a71519315406abe7fe0117013765c4d6c1e3c75daa21346b1f94881a32217b3a5829bf473d0b18470c0e
+DIST python-ironicclient-4.1.0.tar.gz 201589 BLAKE2B 
654e5f328676cdf44446cf12725821e65036e963be6be47c7bf390c87dde28df5a2d7673e52397797587d135dd89eaf0382ac724e5ff75ed07af1930d7754b44
 SHA512 
d2e8536ae91493e724c6f93acd8c85069a888eb11c9084519010e4a6ad96d7d507991c99301e9c9620240291d9f947b67455551d68aac3f126ea6a578e217658

diff --git a/dev-python/python-ironicclient/python-ironicclient-4.1.0.ebuild 
b/dev-python/python-ironicclient/python-ironicclient-4.1.0.ebuild
new file mode 100644
index 00000000000..e5253773946
--- /dev/null
+++ b/dev-python/python-ironicclient/python-ironicclient-4.1.0.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_6 python3_7 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for the Ironic API"
+HOMEPAGE="https://www.openstack.org/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+CDEPEND="
+       >=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+       !~dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+"
+CRDEPEND="
+       >=dev-python/appdirs-1.3.0[${PYTHON_USEDEP}]
+       >=dev-python/cliff-2.8.0[${PYTHON_USEDEP}]
+       !~dev-python/cliff-2.9.0[${PYTHON_USEDEP}]
+       >=dev-python/dogpile-cache-0.6.2[${PYTHON_USEDEP}]
+       >=dev-python/jsonschema-2.6.0[${PYTHON_USEDEP}]
+       >=dev-python/keystoneauth-3.4.0[${PYTHON_USEDEP}]
+       >=dev-python/openstacksdk-0.18.0[${PYTHON_USEDEP}]
+       >=dev-python/osc-lib-1.10.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-config-5.2.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-serialization-2.18.0[${PYTHON_USEDEP}]
+       !~dev-python/oslo-serialization-2.19.1[${PYTHON_USEDEP}]
+       >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
+       >=dev-python/pyyaml-3.12.0[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.14.2[${PYTHON_USEDEP}]
+       >=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
+"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       ${CDEPEND}
+       test? (
+               ${CRDEPEND}
+               >=dev-python/coverage-4.0[${PYTHON_USEDEP}]
+               !~dev-python/coverage-4.4[${PYTHON_USEDEP}]
+               >=dev-python/doc8-0.6.0[${PYTHON_USEDEP}]
+               >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+               >=dev-python/requests-mock-1.2.0[${PYTHON_USEDEP}]
+               >=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
+               >=dev-python/Babel-2.3.4[${PYTHON_USEDEP}]
+               !~dev-python/Babel-2.4.0[${PYTHON_USEDEP}]
+               >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+               >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+               >=dev-python/stestr-1.0.0[${PYTHON_USEDEP}]
+               >=dev-python/ddt-1.0.1[${PYTHON_USEDEP}]
+               >=dev-python/python-openstackclient-3.12.0[${PYTHON_USEDEP}]
+               >=dev-python/pygments-2.2.0[${PYTHON_USEDEP}]
+       )
+"
+RDEPEND="
+       ${CDEPEND}
+       ${CRDEPEND}
+"
+python_prepare_all() {
+       sed -i '/^hacking/d' test-requirements.txt || die
+       sed -i '/^tempest/d' test-requirements.txt || die
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       #rm -rf .testrepository || die "couldn't remove '.testrepository' under 
${EPYTHON}"
+
+       testr init || die "testr init failed under ${EPYTHON}"
+       testr run || die "testr run failed under ${EPYTHON}"
+}

Reply via email to